/*! 
    \file helper_parent.h
    \brief this is a parent class, that isn't visible in the real world itself
*/


#ifndef _PILOT_NODE_H
#define _PILOT_NODE_H

#include "world_entity.h"
#include "event_listener.h"

class Event;

class PilotNode : public WorldEntity, public EventListener {

 public:
  PilotNode ();
  virtual ~PilotNode ();

  void tick(float time);

  void process(const Event &event);

 private:
  void move(float time);

 private:
  bool bUp;              //!< up button pressed.
  bool bDown;            //!< down button pressed.
  bool bLeft;            //!< left button pressed.
  bool bRight;           //!< right button pressed.

  int pitch;
  int roll;

  Vector* velocity;       //!< the velocity of the player.
  float travelSpeed;     //!< the current speed of the player (to make soft movement)
  float acceleration;    //!< the acceleration of the player.


};

#endif /* _PILOT_NODE_H */
